Skip to main content
Resource Center/Network Resource/OSPF Operations
GETOSPF OperationsSince 3.4.0SynchronousAuth Required

GetVRouterOspfNeighbor

GetVRouterOspfNeighbor

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • vRouterUuidStringRequired

    The vRouter UUID.

Query Parameters

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • neighborsListRequired

    See neighbors.

    • idStringRequired

      资源ID。

    • priorityStringRequired

      优先级。

    • stateStringRequired

      当前状态。

    • deadTimeStringRequired

      死信时间。

    • neighborAddressStringRequired

      No description provided.

    • deviceStringRequired

      设备。

Endpoint

GET/zstack/v1/routerArea/{vRouterUuid}/neighbor

/zstack/v1/routerArea/{vRouterUuid}/neighbor

Operation ID

GetVRouterOspfNeighbor

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/routerArea/{vRouterUuid}/neighbor?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "neighbors": [ null, null ] }

Change History

This API has no change history records yet.

View all change history